@font-face {
    font-family: "IBM Plex Sans Thai Looped";
    src: url('../font/IBMPlexSansThaiLooped-Regular.ttf') format("truetype");
    font-weight: 400;
}
@font-face {
    font-family: "IBM Plex Sans Thai Looped";
    src: url('../font/IBMPlexSansThaiLooped-SemiBold.ttf') format("truetype");
    font-weight: 600;
}

html, body { idth: 100%; height: 100%; margin: 0; padding: 0; overflow: hidden; }

#menubar, #search-box, .maplibregl-popup-content, .ldmap-msg-info {
    font-family: "IBM Plex Sans Thai Looped";
}
.maplibregl-popup .ldmap-poi_warning {
    padding: 4px;
    margin-bottom: 12px;
}
.maplibregl-ctrl-top-left {
    top: 10px;
    left: 10px;
}
.maplibregl-popup-close-button {
    font-size: 18px;
}
.maplibregl-popup-content {
    border-radius: 12px;
    margin-top: -1px;
    margin-bottom: -1px;
}

#menubar { height: 40px;  }
#map { width: 100%; height: calc(100% - 40px); }
#search-result {
    max-height: calc(100% - 100px);
}

#menubar {
    place-items: center;
    align-items: center;
    display: flex;
    gap: 14px;
    padding: 0 14px;
    background-color: #3894ee;
}
.title {
    color: #fff;
    font-weight: 600;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-size: 15px;
}
.divider {
    width: 0;
    height: 50%;
    border-right: 2px dotted #fff8;
}
.search-group {
    flex: auto;
}
#search-box {
    font-size: 14px;
    background-color: #fff1;
    color: #fff;
    height: 28px;
    vertical-align: middle;
    padding-top: 0px!important;
    padding-bottom: 0px!important;
}
#search-box::placeholder {
    color: #fff8;
    font-size: 14px;
    vertical-align: middle;
}
#search-box::-webkit-search-cancel-button {
    appearance: none;
    -webkit-appearance: none;
    height: 18px;
    width: 18px;
    background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='%23FFF'><path d='M19 6.41L17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12z'/></svg>");
    cursor: pointer;
}
#search-box:focus {
    outline: none;
}
#search-result, #search-box {
    max-width: 300px;
    width: 300px;
    padding: 6px;
    border: 1px solid #fff1;
    box-sizing: border-box;
}
#search-result {
    margin-top: 8px;
    background-color: #fff;
    box-shadow: 0px 0px 4px 2px rgba(0, 0, 0, 0.2);
    overflow: auto;
    position: absolute;
    z-index: 99;

    display: none;
    opacity: 0;
    /* display: block;
    opacity: 1; */
}
.ldsearch-placeholder .ldsearch-empty {
    font-size: 14px;
}
#large-map {
    margin-top: -4px;
    flex: none;
}
#large-map, #large-map img {
    height: 16px;
    width: 16px;
}
#large-map:hover, #large-map:hover img {
    background-color: #fff1;
}

#search-result, #search-box, .ldmap-msg-info {
    border-radius: 4px;
}

#search-result .ldsearch-more {
    display: none;
}

.maplibregl-popup .ldmap-popup_title {
    /* text-overflow: ellipsis;
    white-space: nowrap; */
    height: auto!important;
}

.maplibregl-popup-content .ldmap-popup_detail {
    line-height: normal;
}

.maplibregl-popup-content .ldmap-poi_item {
    line-height: 1.3;
}

.maplibregl-popup-content .ldmap-promptpai {
    align-items: center;
    display: flex;
    gap: 8px;
    margin-top: 10px;
}

.maplibregl-popup-content .ldmap-share {
    margin-top: 20px;
}
.ldmap-share-title {
    font-weight: 600;
    margin-bottom: 6px;
    font-size: 14px;
}
.ldmap-share-content {
    display: flex;
    gap: 10px;
    /* place-content: center; */
}
.ldmap-share img {
    height: 36px;
    width: 36px;
    border-radius: 8px;
    box-sizing: border-box;
}
.ldmap-share a:hover img {
    border: 1px solid #d9d9d9;
}
.ldmap-share a.ldmap-share-url {
    cursor: pointer;
}

.ldmap-longdomap-logo {
    position: absolute;
    bottom: 32px;
    right: 10px;
    z-index: 90;
}
.ldmap-longdomap-logo img {
    height: 16px;
    width: auto;
}

.ldmap-lock-overlay, .ldmap-lock-button {
    z-index: 9;
}
.ldmap-lock-overlay {
    position: absolute;
    width: 100%;
    height: 80px;
    bottom: 0;
    left: 0;
    right: 0;
    background: linear-gradient(to top, rgba(0,0,0,0.5), rgba(0,0,0,0) 80px)
}
.ldmap-lock-button {
    bottom: 40px;
    left: 11px;
    position: absolute;
    background: #2a5082;
    border: 2px solid white;
    color: white;
    padding: 6px 10px;
    border-radius: 6px;
    transition: all .5s ease-out .1s;
    display: none;
    opacity: 0.2;
    cursor: pointer;
}
#map:hover .ldmap-lock-button, .ldmap-lock-button:hover {
    opacity: 1;
}

.maplibregl-popup-content, .ldmap-lock-button {
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.3);
}

.ldmap-msg-info {
    /* border: 1px solid #cfad24;
    background: #fff8dc; */
    border: 1px solid #00407e;
    background: #dceeff;
    text-align: center;
    font-size: 12px;
    position: absolute;
    max-width: 300px;
    top: 10px;
    left: 50%;
    transform: translateX(-50%);
    padding: 6px 8px;
    line-height: 1.5;
    color: #333;
    box-shadow: 0px 0px 4px 2px rgba(0, 0, 0, 0.2);
    z-index: 0;
    opacity: 0;
}
.ldmap-msg-info.show {
    z-index: 9!important;
    opacity: 1!important;
}
.ldmap-msg-info.error-msg {
    border-color: #62001f;
    background-color: #ffe9f0;
}

.font-bold {
    font-weight: 600;
}
.near-me-title {
    color: #2085f3;
}

@media only screen and (max-width: 720px) {
    .line-break {
        display: block;
    }
}

@media only screen and (max-width: 480px) {
    /* #menubar {
        flex-wrap: wrap;
        height: 54px;
        gap: 8px;
        align-content: space-evenly;
        padding: 0 8px;
    }
    #map { height: calc(100% - 54px); }
    .title {
        font-size: 14px;
    } */
    #search-result {
        /* max-height: calc(100% - 20px - 54px); */
        left: 10px;
        width: calc(100% - 20px);
    }
    /* .search-group {
        flex-basis: 100%;
        flex: auto;
        max-width: 100%;
        order: 3;
    } */
    #search-box, #search-result {
        max-width: unset;
    }
    #search-box {
        width: 100%;
        /* calc(100% - 14px); */
    }
    #large-map {
        /* order: 4;
        margin-left: 10px; */
        display: none;
    }
    .ldmap-msg-info {
        max-width: 80%;
    }
}